#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Encode
%define		pnam	ISO2022
Summary:	Encode::ISO2022 - ISO/IEC 2022 character encoding scheme
Summary(pl.UTF-8):	Encode::ISO2022 - schemat kodowania znaków ISO/IEC 2022
Name:		perl-Encode-ISO2022
Version:	0.04
Release:	10
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Encode/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f3b0717b470961da808d871362bf1c5f
URL:		https://metacpan.org/dist/Encode-ISO2022
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-Encode >= 2.10
BuildRequires:	perl-Test-Simple
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a character encoding scheme (CES) switching a set
of multiple coded character sets (CCS).

%description -l pl.UTF-8
Ten moduł udostępnia schemat kodowania znaków przełączający zbiór
wielu zestawów kodowania znaków.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Encode/ISO2022/CCS.pod
rmdir $RPM_BUILD_ROOT%{perl_vendorarch}/Encode/ISO2022

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Encode/ISO2022.pm
%{perl_vendorarch}/Encode/ISO2022JP2.pm
%{perl_vendorarch}/Encode/ISOIRSingle.pm
%{perl_vendorarch}/Encode/JISLegacy.pm
%dir %{perl_vendorarch}/auto/Encode/ISO2022
%attr(755,root,root) %{perl_vendorarch}/auto/Encode/ISO2022/ISO2022.so
%dir %{perl_vendorarch}/auto/Encode/ISOIRSingle
%attr(755,root,root) %{perl_vendorarch}/auto/Encode/ISOIRSingle/ISOIRSingle.so
%dir %{perl_vendorarch}/auto/Encode/JISLegacy
%attr(755,root,root) %{perl_vendorarch}/auto/Encode/JISLegacy/JISLegacy.so
%{_mandir}/man3/Encode::ISO2022.3pm*
%{_mandir}/man3/Encode::ISO2022::CCS.3pm*
%{_mandir}/man3/Encode::ISO2022JP2.3pm*
%{_mandir}/man3/Encode::ISOIRSingle.3pm*
%{_mandir}/man3/Encode::JISLegacy.3pm*
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Encode-ISO2022.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> 23ef442
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 459f925
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 4b65e28
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 18a64bf
- rebuild with perl 5.34.0

* Sun Jun 27 2021 Jakub Bogusz <qboosh@pld-linux.org> 4cd02af
- updated URL and macros

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 4b4a3b2
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 66d3253
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> b6c5195
- rebuild with perl 5.30.0
- release 5 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 39feb71
- rebuild with perl 5.28.0
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 2b1a4b4
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 2cdc9d4
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Fri May 26 2017 Jakub Bogusz <qboosh@pld-linux.org> 693551b
- not noarch

* Fri May 26 2017 Jakub Bogusz <qboosh@pld-linux.org> 967aeb3
- new

